import React from 'react';
import { connect } from 'react-redux';
import PropTypes from 'prop-types';

var Connect = function Connect(_ref) {
  var mapStateToProps = _ref.mapStateToProps,
      mapDispatchToProps = _ref.mapDispatchToProps,
      mergeProps = _ref.mergeProps,
      options = _ref.options,
      children = _ref.children;


  var Comp = connect(mapStateToProps, mapDispatchToProps, mergeProps, options)(function (props) {
    return children(props);
  });

  return React.createElement(Comp, null);
};

Connect.propTypes = {
  mapStateToProps: PropTypes.func,
  mapDispatchToProps: PropTypes.func,
  mergeProps: PropTypes.func,
  options: PropTypes.object,
  children: PropTypes.func.isRequired
};

export default Connect;